#include <bits/stdc++.h>
#define ll long long
#define MAXN 3200000

using namespace std;
int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);

	int t;
	ll a,b;

	cin>>t;
	while(t--)
    {
        cin>>a>>b;
        bool naso=false;
        for(ll i=1;!naso && i*i<=a;i++)
        {
            if(a%i!=0)
                continue;
            ll x=i;
            ll y=a/i;
            if((x^y)==b)
            {
                cout<<x<<" "<<y<<endl;
                naso=true;
            }
        }
        if(!naso)
            cout<<-1<<endl;
    }


	return 0;
}